version: "3.7"
   
services:
  rstudio-server:
    container_name: rstudio-server
    image: rocker/rstudio
    ports:
      - 8787:8787
    volumes:
      - ./data:/home/rstudio
      - r-site-library:/usr/local/lib/R/site-library
    working_dir: /home/rstudio

    environment:
      PASSWORD: rstudio
    networks:
      - influxdb
      
networks:
  influxdb:
    external: True

volumes:
  r-site-library:
    external: false